Bug 178468 - fsck restarts if errors are found
fsck restarts if errors are found
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-20 15:51 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 13:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-01-20 15:51:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051215 Epiphany/1.9.4

Description of problem:
If fsck runs a check on a big disk, and finds errors, it will drop to a password prompt, and start the fsck all over again. So much for my uptime!

It would be good if fsck could continue from where it left off.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
x

Additional info:

(Is there a background fsck planned?)
Comment 1 Rahul Sundaram 2006-02-20 04:20:54 EST
Setting report severity to enhancement. Moving version to devel. 
Comment 2 Stephen Tweedie 2006-03-22 13:03:01 EST
fsck does not necessarily have anywhere to store progress information: the fsck
in "preen" mode by definition does not make major changes on disk, and we are
likely to be running with any mounted filesystems being mounted readonly when it
runs.  So it's really not obvious how we could do this.  

It's major work, and something that definitely needs to be driven upstream, not
just within Fedora.  There are no plans to address this right now.

Note You need to log in before you can comment on or make changes to this bug.